Package org.eclipse.cdt.utils

## Interface IGnuToolFactory

All Known Subinterfaces:
  `ICygwinToolsFactroy`

All Known Implementing Classes:
  `DefaultCygwinToolFactory`, `DefaultGnuToolFactory`

    public interface IGnuToolFactory

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`Addr2line` `getAddr2line​(org.eclipse.core.runtime.IPath path)`
`CPPFilt` `getCPPFilt()`
`NM` `getNM​(org.eclipse.core.runtime.IPath path)`
`Objdump` `getObjdump​(org.eclipse.core.runtime.IPath path)`

### Method Detail

#### getAddr2line

    Addr2line getAddr2line​(org.eclipse.core.runtime.IPath path)

#### getCPPFilt

    CPPFilt getCPPFilt()

#### getObjdump

    Objdump getObjdump​(org.eclipse.core.runtime.IPath path)

#### getNM

    NM getNM​(org.eclipse.core.runtime.IPath path)